Subject: [Speechsc] definition of "speaker identification"

From: "Judith Markowitz" <[email-masked]>
Date: Tue, 22 May 2007 12:10:32 -0500

Dan, 

I am concerned that your revised definition - like the original definition -
does not highlight the elements that clearly distinguish verification from
identification. The difference between identification and verification is a
source of confusion in the speech community as a whole. For that reason,  I
believe that it is critical that the definition that appears in MRCP specify
the following 

Verification 

1. requires a claim of identity. That claim can be verbal (ex: stating name,
saying employee ID, saying account number), non-verbal (e.g., DTMF) or even
implied (e.g., ANI, caller ID, using a specific cell phone to call,
answering a specific telephone number called by the SV system)

2. is basically a one-to-one matching. The only "exception" to this is
multi-verification. In multi-verification the person claims to be a member
of a group. For example, one of the people holding a joint bank account or
one of the members of a project team. In multi-verification the system
compares the new spoken input to stored voice models for each of the members
of the group. 

Identification 

1. does not have a claim of identity. The goal is to assign one or more
probably identities to a speech segment produced by an unknown speaker. 

2. is basically one-to-many matching. The system goes through a database of
voice models looking for the best "match." 

That is why I propose that Qiru's definitions or my original definitions be
used. 

Qiru's definitions (from his publications)

Speaker identification is the process of associating an unknown speaker with
a member in a population. It does not employ a claim of identity. 

Speaker verification is the process of verifying whether an unknown speaker
is the person as claimed. It is a yes/no process performed in response to a
claim of identity.

[my addition] When an individual claims to belong to a group (e.g., one of
the owners of a joint bank account) a "multi-verification" is performed.
This is a kind of verification involving comparison with each member of the
group.

Or the following definitions that are adapted from the VoiceXML Forum's "SIV
Glossary"

Speaker identification is a basic biometric function that uses an
individual's speech to search a database for a reference model that
"matches" a sample submitted by an unknown speaker. If found, it returns a
corresponding identity. This process is performed without a claim of
identity and it involves one-to-many matching operations. 

Speaker verification is a biometric function that uses an individual's
speech to validate or invalidate a claim of identity made by that individual

Verification retrieves the voice model for the claimed identity and compares
it with the sample submitted by the claimant. This process is performed with
a claim of identity and involves a one-to-one matching operation. The only
exception to the one-to-one matching is when the individual claims to be a
member of a group (e.g., owner of a joint bank account). Then, the
claimant's voice model is compared with models from each of the members of
the group. 

Thank you for your consideration of this issue. I hope this message
clarifies any confusion surrounding the issue so that it can be resolved
quickly. 

Judith  

J. Markowitz, Consultants

5801 N. Sheridan Rd, #19A

Chicago, IL 60660

773-769-9243

[email-masked]

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc
Supplemental web site:
&lt;http://www.standardstrack.com/ietf/speechsc&gt;

---

From: David R Oran <[email-masked]>
Date: Thu, 24 May 2007 16:30:36 -0400

On May 22, 2007, at 1:10 PM, Judith Markowitz wrote:

> Dan,
>
> I am concerned that your revised definition – like the original  
> definition – does not highlight the elements that clearly  
> distinguish verification from identification. The difference  
> between identification and verification is a source of confusion in  
> the speech community as a whole. For that reason,  I believe that  
> it is critical that the definition that appears in MRCP specify the  
> following
>
>
>
> Verification
>
> 1. requires a claim of identity. That claim can be verbal (ex:  
> stating name, saying employee ID, saying account number), non- 
> verbal (e.g., DTMF) or even implied (e.g., ANI, caller ID, using a  
> specific cell phone to call, answering a specific telephone number  
> called by the SV system)
>
> 2. is basically a one-to-one matching. The only “exception” to this  
> is multi-verification. In multi-verification the person claims to  
> be a member of a group. For example, one of the people holding a  
> joint bank account or one of the members of a project team. In  
> multi-verification the system compares the new spoken input to  
> stored voice models for each of the members of the group.
>
>
> Identification
>
> 1. does not have a claim of identity. The goal is to assign one or  
> more probably identities to a speech segment produced by an unknown  
> speaker.
>
> 2. is basically one-to-many matching. The system goes through a  
> database of voice models looking for the best “match.”
>
>

I don't find these two to be nearly as disjoint as Judith seems to.  
Furthermore, the distinctions that are made fall mostly in the domain  
of the application using the capabilities of the MRCP protocol.  
Therefore, in the document describing the protocol it seems less  
important (and possibly counterproductive) to use elements of the  
definitions which do not affect the protocol semantics.
> That is why I propose that Qiru’s definitions or my original  
> definitions be used.
>
>
If we go this way, I still lean toward the core of Dan's suggestion,  
which is to make clear what elements of these definitions matter to  
the MRCPv2 protocol and which do not.

Also, keep in mind that the prime audience for the document is  
protocol implementers and not speech application developers. If the  
protocol blurs the distinctions (which it does, IMO quite properly)  
then that should be reflected somehow.

[chair hat off/ individual hat on]

> Qiru’s definitions (from his publications)
>
> Speaker identification is the process of associating an unknown  
> speaker with a member in a population. It does not employ a claim  
> of identity.
>
>
>
> Speaker verification is the process of verifying whether an unknown  
> speaker is the person as claimed. It is a yes/no process performed  
> in response to a claim of identity.
>
>
>
> [my addition] When an individual claims to belong to a group (e.g.,  
> one of the owners of a joint bank account) a “multi-verification”  
> is performed. This is a kind of verification involving comparison  
> with each member of the group.
>
>
>
>
>
> Or the following definitions that are adapted from the VoiceXML  
> Forum’s “SIV Glossary”
>
>
>
> “matches” a sample submitted by an unknown speaker. If found, it  
> returns a corresponding identity. This process is performed without  
> a claim of identity and it involves one-to-many matching operations.
>
>
>
> Speaker verification is a biometric function that uses an  
> individual's speech to validate or invalidate a claim of identity  
> made by that individual
>
> Verification retrieves the voice model for the claimed identity and  
> compares it with the sample submitted by the claimant. This process  
> is performed with a claim of identity and involves a one-to-one  
> matching operation. The only exception to the one-to-one matching  
> is when the individual claims to be a member of a group (e.g.,  
> owner of a joint bank account). Then, the claimant’s voice model is  
> compared with models from each of the members of the group.
>
>
>
>
>
> clarifies any confusion surrounding the issue so that it can be  
> resolved quickly.
>
>
>
> Judith
>
>
>